### Virtual Method

# Camel Medium set_header

#### Declaration [src]

    void
    set_header (
      CamelMedium* medium,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Sets the value of a header. Any other occurances of the header will be removed. Setting a `NULL` header can be used to remove the header also.

#### Parameters

`name`

  Type: `const gchar*`

  Name of the header.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  Value of the header.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.